Get an organization's subscription
Returns whether the organization is on a trial, the free plan or a paid plan, when its trial ends, and where to upgrade. Use it to answer questions about the plan or the trial, or to find how to upgrade.
A unique entity identifier
^[a-zA-Z0-9_-]+$OK
An organization's subscription, as needed to tell a user their plan, trial and how to upgrade.
Type of Object, always equals to "organization-subscription"
Whether the organization is on a trial, the free plan, or a paid plan.
Whether the user is an administrator of the organization, and so can upgrade. Otherwise, they have to ask an administrator to upgrade.
Where to upgrade in the application. Only set when canManageBilling is true.
Public page comparing the GitBook plans.
Not Found
GET /v1/orgs/{organizationId}/subscription HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"object": "organization-subscription",
"status": "trial",
"plan": {
"id": "free_2024",
"title": "text"
},
"trial": {
"status": "notapplicable",
"endDate": "2026-01-01T00:00:00.000Z",
"daysRemaining": 1
},
"canManageBilling": true,
"upgradeUrl": "https://example.com",
"pricingUrl": "https://example.com"
}Last updated
Was this helpful?